Based on previous research and looking at the success of other materials, we propose two similar yet different designs illustrated in figure \ref{fig:strategies}.
Both designs are based on three main ideas: 

1. **Buffer Layer** between the window and the front contact for defect passivation/lifetime
improvement. \cite{Ferekides_2005}
2. Novel materials for **back contacts** . \cite{Matin_2010}
3. **Efficient Light Trapping Structure** via Distributed Bragg Reflectors as a back mirror and textured glass to increase photon recycling.\cite{Khosroabadi_2014}

## Buffer Layer
By incorporating a very thin high-resistive buffer layer, the CdS layer thickness can be reduced to below 50nm, enhancing the blue response of the CdTe cell, CdS film morphology, and conversion efficiency of the CdTe device. This buffer layer is normally made with ZnO, transparent conductive oxide, effectively joining the TCO in function as the front contact.
Several resistive and conductive oxides have been found to be effective buffer layers using binary and ternary transparent oxides of Cd, In, Zn, and Sn.

## Back Contact
The development of stable back contacts as well as sources of instability in a cell are important if voltage is to be maximized.the high contact resistance between CdTe and the back contact
Degradation effects are often associated with metal diffusion from the back contact of the cell, which is Cu in most cases. However, cells with stable back contact can also exhibit instability. Also, all the other cell layers are potential sources of impurities causing instability.\cite{B_tzner_2004}
Many novel back contacts have been proposed and simulated numerically \cite{Matin_2010}. Some potential layered compound candidates are the selenides (TiSe<sub>2</sub>, VSe<sub>2</sub>, NbSe<sub>2</sub> and TaSe<sub>2</sub>) as well as their corresponding sulfides \cite{Ferekides_2011}. 

## Efficient Light Trapping Structure
This strategy is influenced in part by the success of GaAs photovoltaics, the highest
efficiencies cannot be achieved unless the solar cell is also designed to be a good light emitting diode (LED). 
The light trapping structure requires two components, a back mirror and a textured glass.
This requires one to internally trap radiation by reflecting any lost radiation back, extending the time and probability that this energy can be reused, which ultimately improves photon recycling. The optical design is important so that the only loss mechanism is photons exiting at the front surface, so ZnO or another transparent contact should be used.
The back mirror can be implemented by SiO<sub>2</sub> \cite{Zhao_2010} \cite{Andreani_2012}. The design and number of mirrors can be optimized according to any particular situation via simulation \cite{Wang_2013}. Different possible mirror geometries are illustrated in Figure .

Particularly encouraging is a numerical simulation of a proposed ultra thin cell structure \cite{Khosroabadi_2014} with back mirrors, reaching open-circuit voltage of 1.062V, and overall efficiency of 21.02%. 

While ultra-thin (<1µ) semiconductor layers result in poorer cell performances due to shunting, incomplete photon absorption and interference between the main and the back contact
junction \cite{Paudel_2012}, they are cheaper from a material point view. If efficent light trapping techniques are used, the absortion efficency can be increased allowing for minimal loss. Intead of 1-2 µm thin films, 100nm could be adequete for CdTe.

## Post-growth treatments and electron reflectors
The "CdCl2" treatment  or “activation” process, while poorly understood is a treatment that consists of post-growth heat treatment of CdTe layers in the presence of CdCl2 or halogens (mostly, chlorine, and fluorine).
This acts to form the photovoltaic junction at the CdTe/CdS interface, passivate the grain boundaries, grain enhancement and increasing device lifetime, making it essential in achieving high device efficiencies.

This treatment drastically enhances the solar cell efficiency from about 1%–5% for as-grown materials to double-digit figures for CdCl<sub>2</sub>-treated materials. This is almost an order of magnitude increase in conversion efficiency.\cite{Dharmadasa_2014}
There has been alternative treatments that involve MgCl<sub>2</sub>\cite{Major_2014}, which is non-toxic and equally effective. Other alternative chlorides such as NaCl, KCl and MnCl2 have been used but compromise device performance. Alternative chemical treatments should be explored.

With MgCl<sub>2</sub>, there is possibility of the formation of a intermixed layer of CdMgTe. Creating a highly doped field at the back of the device that could act as an electron reflector that could boost device performance by directing electrons back into the absorber layer and increasing \( V_{OC} \)while limiting back-surface recombination \cite{Hsiao_2011},
