# Materials of a CdTe PV
The highest efficency solar cells are based around the heterojunction formed between n-type CdS and p-type CdTe. The basic composition of the cell (figure ) is as follows:

* **Glass subtrate:** Typically around 2-4 mm thick, this protects the active layers and provides all the device's mechanical strength. The outer face of the pane often has an anti-reflective coating (ARC) to enhance its optical properties.
* **Transparent conducting oxide (TCO):** Usually made of tin oxide or indium tin oxide (ITO), this acts as the front contact to the device. It is needed to reduce the series resistance of the device, which would otherwise rise from the thinness of the CdS layer. 
* **Window Layer (CdS):** Polycrystallin cadmium sulphide is n-type doped. The wide band gap of CdS ( 2.4 eV) means it is transparent down to wavelengths of around 515 nm, and so is referred to as the window layer. Below that wavelength, some of the light will still pass through to the CdTe, due to the thinness of the CdS layer ( 100 nm). 
* **Absorber (CdTe):** The CdTe layer is a polycrystalline, p-type doped material. CdTe is a nearly perfect absorber material since its band gap is direct and closely matches the peak of the solar spectrum. Also, it has a high absorption coefficient ( α > 5 x 10^5/cm).  A layer of 1-2 µm is enough to absorb around 99% of incident light which means that the amount of active material used is relatively small. Because it is less highly doped than CdS, the depletion region is mostly within the CdTe layer. This is therefore the active region of the solar cell, where most of both the carrier generation and collection occur.
* **Back contact:** Usually made of metal due to high conductivity, the back contact provides a low resistance electrical connection to the CdTe. P-type CdTe is a difficult material on which to produce an ohmic contact, and so the junction will inevitably display some hot carrier diode characteristics. This layer needs to only be a few tens of nanometers in thickness.
