
The SQ limit is a guideline for solar cell technology, however, it does not take into account underlying parameters such as material quality and optical design. A PV will reach it's theoretical limit if it's material properties match the assumptions made. These differences are summarized below:

* All incident light is absorbed below the band gap of the material, and each absorbed photon generates an electron-hole pair. This relates to the bandgap of a material and absorbtion mechanism.
* Only **radiative recombination** occurs. In reality there is always a degree of non-radiative process ocurring such as Shockley-Read-Hall, Auger and band to band (BB). These process strongly affect the cell’s performance depending on semiconductor bandgap, material quality, doping level, fabrication process, or injection level.\cite{Vossier_2015} SRH is due to various impurities and dislocations, these create energy levels within the band gap corresponding to neither donor nor acceptor levels. Auger is the dominating process at high carrier concentrations caused by heavy doping or high level injection, which ultimately affects the lifetime in efficency. Band to Band is to weakly absorbed photons that exit the semiconductor. 
* **infinite mobility** and **perfectly reflecting contacts**, which relate to charge transport:  Photons emitted internally are likely to be trapped, re-absorbed, and re-emitted, leading to photon recycling in a open-circuit.  Real materials have a non-ideal back contact, so they will not benefit completely from the photon recycling that occurs in a ideal reflecting system. \cite{Miller_2012}, Real materials also  have finite carrier mobility, which translate to series resistance losses.


A closer look at the present state of-the-art
performance levels puts the three solar cell efficiency parameters, short-circuit current
 \( J_{SC} \) , open-circuit voltage  \( V_{OC} \) , and fill factor  \(FF\) in the 24-26 mA/cm^2, 840-850 mV, and 74-76% ranges respectively.
  

Defects such as grain boundaries can alter these device parameter\cite{Yan_2011} in a uncontrolled fashion.  Pushing cell conversion efficiencies beyond 20% will require primarly increasing \( V_{OC} \) beyond 1V. The current \(V_{OC} \) is well bellow the expected 1.2 V with respect to the absorber layer band gap. However the present pathway of processing optimization will likely yield \( V_{OC} \) and efficiency converging on 0.9 V and <20%, respectively \cite{McCandless_2013}. 
