# Proposal for Materials Genome Initiative (MGI)
The MGI is designed to create a new era of policy, resources, and infrastructure that support U.S. institutions in the effort to discover, manufacture, and deploy advanced materials twice as fast, at a fraction of the cost. 
This philosophy requires a tight coupling between computation, theory and experiment.
Subsequently, we will describe the work a project such as this would require if participating for a MGI grant.

## Molecular Simulations
**Methodology:** DFT for electronic structure and KMC for meso-scale properties.

The idea would be to combinatorically explore the defects and emerging properties between different interfaces of a CdTe PV.
There are is much experimental work on certain materials, but there is a wide possibility of combinations of different layers in the cell. Materials to search would be for the buffer layer, the back contacts and electron absorber. Bandgaps, energy defects, intermixed diffusion and junction matching would be explored
with aims of find candidate materials. While binary materials are heavily explored, ternary materials offer much potential for undiscovered emerging properties.

## Device Optmization/Simulation
**Methodology:** Use of computed properties to simulate 2D Finite-difference time-domain for optical properties and AMPS-1D \cite{McElheny_1988} for device physics.

## Experimental/Manufacturing improvements
Since material quality is so important, synthesizability should be taken into account in decision making for the computation and election of materials from the start. Particularly since the proposed design is more complex than a conventional solar cell.
To tackle this issue, experimental intuition should be incorporated in to the generation of structures, seeking easy/cheap synthesis procedures. Computed values would have to be calibrated with literature/experimental values in other to have predictive power.


  